Skip to content

Regular Expression Denial of Service in path-parse

moderate severity Published Aug 10, 2021 • Updated Aug 10, 2021

Package

npm path-parse (npm)

Affected versions

< 1.0.7

Patched versions

1.0.7

Description

Affected versions of npm package path-parse are vulnerable to Regular Expression Denial of Service (ReDoS) via splitDeviceRe, splitTailRe, and splitPathRe regular expressions. ReDoS exhibits polynomial worst-case time complexity.

References

CVE ID

CVE-2021-23343

CVSS Score

5.3 Moderate
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L